wake-up-neo.com

Nginx + Passagierfehler - libcurl.so.4: Version `CURL_OPENSSL_3 'nicht gefunden

System:

  • Ubuntu: 18,04 LTS
  • Passagier: 5.3.1
  • nginx mit libnginx-mod-http-passenger

$ Sudo nginx -t

Kehrt zurück:

PassengerLoggingAgent: /usr/lib/x86_64-linux-gnu/libcurl.so.4: version `CURL_OPENSSL_3' not found (required by PassengerLoggingAgent)
2018/06/04 02:28:40 [alert] 10411#0: Unable to start the Phusion Passenger watchdog because it encountered the following error during startup: Unable to start the Phusion Passenger logging agent: it seems to have crashed during startup for an unknown reason, with exit code 1 (-1: Unknown error)

`` `

3
Sergei Filippov

Sie können die erforderliche Version 3 aus dem bionischen Repository installieren, wenn Sie nicht auf andere Software angewiesen sind, die bereits Version 4 verwendet:

Sudo apt install libcurl3/bionic

Sie werden aufgefordert, curl selbst, libcurl4 und abhängige Software zu entfernen. Überlegen Sie sorgfältig, ob Sie diese benötigen, bevor Sie sie entfernen.

Sie können weiterhin ein Rollback ausführen, indem Sie libcurl4 und die entfernte Software erneut installieren.

4
Sergei Filippov

Das hat mein Problem behoben:

Sudo apt install libcurl4-openssl-dev

0
Fábio